Bug 295051 - Avoid tagging mass storage devices as cameras
Avoid tagging mass storage devices as cameras
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-09-18 12:35 EDT by David Zeuthen
Modified: 2013-07-02 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 01:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (8.22 KB, patch)
2007-09-18 12:35 EDT, David Zeuthen
no flags Details | Diff

  None (edit)
Description David Zeuthen 2007-09-18 12:35:07 EDT
Some cameras can be configured (via the camera menus) in both USB PTP (or
proprietary) and USB Mass Storage mode. While in the latter, normally the kernel
driver usb-storage.ko attaches to the device when the camera is attached.
However, gphoto2 still claims to be able to drive the camera (matching is on
vid/pid only and sometimes it doesn't change.). This means we get multiple "Do
you want to import pictures?" dialogs in the user interface. 

Will attach a patch for gphoto2 to avoid tagging the USB mass storage devices as
cameras supported by gphoto2. Note that this only concerns classification of the
device; a user can still unbind usb-storage.ko and use gphoto2 to drive the device.

I've tested this patch with Matthias' Nikon digicam.
Comment 1 David Zeuthen 2007-09-18 12:35:07 EDT
Created attachment 198571 [details]
patch
Comment 2 Jindrich Novy 2007-09-19 01:27:38 EDT
Applied, thanks!
Comment 3 Hubert Figuiere 2007-11-27 16:42:42 EST
sending it upstream? anyone ? Bueller?

Note You need to log in before you can comment on or make changes to this bug.